Blocks: Verify Certificate

block_verify_certificate
Maintained by Picture of Manieer ChhettriManieer Chhettri
This block helps course / site administrators to check / verify certificates based on the code printed on the certificate. It will list all the details for the certificates so it can be manually verified against the copy of the certificate. Requirement: The certificate module is required for this plugin to work. In order for this plugin to work you need to make sure the "Print Code" is set to Yes under the certificate 'Text options'.
418 sites
290 downloads
35 fans
Moodle 2.0, 2.1, 2.2, 2.3, 2.4, 2.5, 2.6, 2.7, 2.8, 2.9, 3.0, 3.1, 3.2, 3.3, 3.4, 3.5

This block helps course / site administrators to check / verify certificates based on the code printed on the certificate. It will list all the details for the certificates so it can be manually verified against the copy of the certificate.


Requirement: 


DONATE:

If you like this block, please donate - Paypal Donate

Screenshots

Screenshot #0
Screenshot #1

Contributors

Picture of Manieer Chhettri
Manieer Chhettri (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Amaro de Araujo Lima Neto
    Thu, Sep 8, 2016, 10:26 PM
    Hi Manieer Chhettri, I can use this plugin with the Custom Certificate? I tryed but is not working correctly.

    Tks
  • Picture of LUIZ AUGUSTO MACHADO MACHADO
    Sat, Oct 8, 2016, 3:01 AM
    Hi i want a way to use this plugin with Custom Certificate, when I use a cod from custom certificate I receive a not verify messenger.
  • Frankie's the name, Moodle's my game!
    Mon, Oct 10, 2016, 5:59 PM
    Hi Manieer. I am using Moodle 2.7.2. I managed to get it to work perfectly on my version of Moodle by doing these: (1) I commentted off line 35 of index.php [i.e., require_once($CFG->dirroot.'/mod/certificate/locallib.php'); ]. I also am running an older version of the Certificate mod. So I commented off lines 36 [i.e., $plugin->requires = 2014051203;] and 41 through to 43 [i.e., $plugin->dependencies = array('mod_certificate' => 2014041801); ]. Thank you for a wonderful block! Just what I was looking for!!
  • Picture of Manieer Chhettri
    Mon, Oct 10, 2016, 6:58 PM
    @Luiz - Hi there, Unfortunately this plugin is developed to work with Certificate plugin only and not the custom certificate.

    @Frankie - thanks for the feedback Frankie. I will investigate those and see if I need to update the plugin. Also With regards to plugin versions - you could easily change those numbers to he version number of your certificate plugin. This way you don't need to comment out those code. Also you will be using a valid plugin!


    Thanks,
    Manieer
  • Silvio C. Condori M.
    Wed, Feb 8, 2017, 10:42 AM
    The Block is interesting. Very good.
    My question is that it can be programmed or configured to display a list of user certificates?
  • Picture of Muhammad Nouman Umer
    Mon, Mar 13, 2017, 6:15 PM
    Can I use this plugin in wordpress ? please answer ?
  • Picture of Develop A Skill
    Mon, Jun 18, 2018, 6:12 PM
    I am getting HTTP ERROR 500 in certificate verification. it says is currently unable to handle this request. Any suggestion?
  • Picture of Manieer Chhettri
    Tue, Jun 19, 2018, 10:45 PM
    Hi develop a skill, Can you provide me further details so I can investigate. Thanks,
    M
  • Picture of Ekaterine Oduber
    Thu, Jul 12, 2018, 12:49 AM
    Hi Manleer. In my work, we use Moodle 2.64+. We use the Certficate module, but we need verify our certificates with this block. Do you have any suggestion about that? Thanks
  • Picture of Andy Hill
    Fri, Oct 5, 2018, 1:58 AM
    Hi Guys, im sure i commented here before about an issue with this plugin but cant find it. Ok i'll try again, since the new updated 3.51 on the latest moodle using the lastest adaptable theme i get the following text across the button where you verify the code. (Verify/>
  • Picture of Andy Hill
    Fri, Oct 5, 2018, 2:01 AM
    verify / > form >< / div >< / div >< span class =
  • Picture of Manieer Chhettri
    Fri, Oct 5, 2018, 5:09 AM
    Hi Andy,
    Can you open an issue on the bug tracker please so I can deal with it. Also please include what version of the adaptable theme you are using. Also a screenshot would be appreciated. Many thanks, M
  • Picture of Manieer Chhettri
    Fri, Oct 5, 2018, 6:25 AM
    Hi Andy,
    Yes I discovered the problem and have now resolved it. Please install the latest version.

    Thanks again for reporting and using this block.

    Regards,
    M
  • Picture of Andy Hill
    Fri, Oct 5, 2018, 2:11 PM
    Manieer, your a star.. Yes all fixed and thanks for great support and plugin.
  • Picture of JASIM PERINGATTUTHODI
    Sat, Sep 26, 2020, 10:35 PM
    dear Manieer Chhettri
    thank you fo your wonderful contribution
    is it work with latest moodle (3.9) also with this certificate plug in https://moodle.org/plugins/mod_customcert as as-per the author of the certificate plug in says that https://moodle.org/plugins/view/mod_certificate. plug in is no more supported and to use the mod_customcert

    please advice
1 2
Please login to post comments